---
dependency:
  name: galaxy
driver:
  name: delegated
platforms:
  # - name: 'mol-client01'
  - name: 'mol-server01'
  # - name: 'mol-server02'
  # - name: 'mol-haproxy01'
provisioner:
  name: ansible
  lint:
    name: ansible-lint
# generate an inventory file by ansible-inventory -i inventory.ini --list --yaml
  inventory:
    all:
      children:
        containers:
          children:
            clients:
              hosts:
                mol-client01:
                  ansible_connection: lxd
            haproxy:
              hosts:
                mol-haproxy01:
                  ansible_connection: lxd
            servers:
              hosts:
                mol-server01:
                  ansible_connection: lxd
                mol-server02:
                  ansible_connection: lxd
        localhost:
          hosts:
            127.0.0.1:
              ansible_connection: local
              ansible_python_interpreter: /usr/bin/python3
        ungrouped: {}
verifier:
  name: ansible
lint: |
  yamllint .
  ansible-lint .
  flake8
scenario:
  create_sequence:
    - dependency
    - create
  destroy_sequence:
    - destroy
  test_sequence:
    - dependency
    - create
    - converge
    - idempotence
    - lint
    - verify
    - destroy
